Description

Greetings,

I've been doing some test and I'm having issues with the batch window (for Join Attribute by Location (summary)). After I save once, I

can't seem to save again the save button doesn't work anymore. Aslo when I get a warning( wrong predicate in row 1, for the predicate

intersect, contrain, overlap and within are selected. I can't seem to be able to open those options after(geometric predicate and Fields to

summarise )  , thought the warning may be broken if I intepret properly the following logs:

2018-02-26T17:10:34    WARNING    Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 196, in save

                self.parent.bar.pushMessage("", self.tr('Wrong or missing parameter value: {0} (row {1})').format(

            AttributeError: 'BatchAlgorithmDialog' object has no attribute 'bar'

2018-02-26T17:11:18    WARNING    Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\MultipleInputPanel.py", line 70, in

showSelectionDialog

                dlg = MultipleInputDialog(self.options, self.selectedoptions, datatype=self.datatype)

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\MultipleInputDialog.py", line 89, in init

                self.populateList()

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\MultipleInputDialog.py", line 100, in populateList

                item.setCheckState(Qt.Checked if value in self.selectedoptions else Qt.Unchecked)

            TypeError: 'in <string>' requires string as left operand, not int

[feature request] oh and also, would it be possible to have an option to set all other fields with the same values instead of having to repeat

each operation manually.

Associated revisions

Revision 6e44a277 - 2018-02-27 01:58 AM - Nyall Dawson

[processing] Fix exception when parameters are missing in batch dialog

Refs #18236

Revision 81d53644 - 2018-02-27 01:58 AM - Nyall Dawson

[processing] Fix restoring parameter values from batch panel load button

Fixes #18236
Revision 9ead36db - 2018-02-27 02:03 AM - Nyall Dawson

[processing] Fix exception when parameters are missing in batch dialog

Refs #18236

(cherry-picked from 6e44a27)

Revision 883b4f49 - 2018-02-27 02:03 AM - Nyall Dawson

[processing] Fix restoring parameter values from batch panel load button

Fixes #18236

(cherry-picked from 81d536)

History

#1 - 2018-02-27 12:09 AM - Nyall Dawson

oh and also, would it be possible to have an option to set all other fields with the same values instead of having to repeat each operation manually.

It's rather hidden, but double-click the column header.

#2 - 2018-02-27 12:33 AM - Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-02-27 01:58 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|81d53644ebe3b9392581522a712fe7e7f318b084.

#4 - 2018-03-01 11:12 AM - Giovanni Manghi

- Resolution set to fixed/implemented
